## golang-github-pion-stun-v3 3.0.0

=== Makefile ===
# SPDX-FileCopyrightText: 2023 The Pion community <https://pion.ly>
# SPDX-License-Identifier: MIT

VERSION := $(shell git describe --tags | sed -e 's/^v//g' | awk -F "-" '{print $$1}')
ITERATION := $(shell git describe --tags --long | awk -F "-" '{print $$2}')
GO_VERSION=$(shell gobuild -v)
GO := $(or $(GOROOT),/usr/lib/go)/bin/go
PROCS := $(shell nproc)
cores:
	@echo "cores: $(PROCS)"
bench:
	go test -bench .
bench-record:
	$(GO) test -bench . > "benchmarks/stun-go-$(GO_VERSION).txt"
lint:
	@golangci-lint run ./...
	@echo "ok"
escape:
	@echo "Not escapes, except autogenerated:"
	@go build -gcflags '-m -l' 2>&1 \
	| grep -v "<autogenerated>" \
	| grep escapes
format:
	goimports -w .
bench-compare:
	go test -bench . > bench.go-16
	go-tip test -bench . > bench.go-tip
	@benchcmp bench.go-16 bench.go-tip
install:
	go get gortc.io/api
	go get -u github.com/golangci/golangci-lint/cmd/golangci-lint
test-integration:
	@cd e2e && bash ./test.sh
prepush: test lint test-integration
test:
	@./go.test.sh
clean:

=== debian/changelog ===
golang-github-pion-stun-v3 (3.0.0-1) unstable; urgency=medium

  * Initial release (Closes: #1117507)

 -- Nilesh Patra <nilesh@debian.org>  Tue, 07 Oct 2025 01:45:48 +0530

=== debian/control ===
Source: golang-github-pion-stun-v3
Section: golang
Priority: optional
Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
Uploaders: Nilesh Patra <nilesh@debian.org>,
Build-Depends: debhelper-compat (= 13),
               dh-sequence-golang,
               golang-any,
               golang-github-pion-logging-dev,
               golang-github-pion-transport-v3-dev,
               golang-github-pion-dtls-v3-dev,
               golang-github-stretchr-testify-dev,
Testsuite: autopkgtest-pkg-go
Standards-Version: 4.7.2
Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-pion-stun-v3
Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-pion-stun-v3.git
Homepage: https://github.com/pion/stun
XS-Go-Import-Path: github.com/pion/stun/v3

Package: golang-github-pion-stun-v3-dev
Architecture: all
Multi-Arch: foreign
Depends: golang-github-pion-logging-dev,
         golang-github-pion-transport-v3-dev,
         golang-github-pion-dtls-v3-dev,
         ${misc:Depends},
Description: Go implementation of STUN
 The library is used as a part pion WebRTC implementation.
 Package stun implements Session Traversal Utilities for NAT (STUN)
 [RFC5389] protocol and client with no external
 dependencies and zero allocations in hot paths.
 Client supports automatic requests and retransmissions.
 .
 This is the v3 version of the package.

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%@PACKAGE@-$1.tar.gz%,\
      uversionmangle=s/(\d)[_\.\-\+]?(RC|rc|pre|dev|beta|alpha)[.]?(\d*)$/$1~$2$3/" \
  https://github.com/pion/stun/tags .*/v?(\d\S*)\.tar\.gz debian

## golang-github-pion-stun-v3 3.0.2

=== debian/changelog ===
golang-github-pion-stun-v3 (3.0.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 3.0.2
  * Patch to skip internet tests

 -- Maytham Alsudany <maytham@debian.org>  Sun, 28 Dec 2025 00:54:28 +0800
